Subject: Socket handling...

From: "Saxena, Nikita" <[email-masked]>
Date: Mon, 1 May 2000 17:26:44 -0400

Hi everyone,

I was wondering if anyone knew of any problems handling sockets under Linux
2.3.35 running on a StrongARM platform.  I have a file (compiled with 'gcc
-static namedsock.c -o namedsock' or
'arm-linux-gcc etc') doesn't complain under Red Hat but blows up when run
on the arm with a "socket: Invalid argument" error.

Does anyone have any suggestions?

Thanks,
Nikita Saxena

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Mon, 1 May 2000 23:31:01 +0100 (BST)

> on the arm with a "socket: Invalid argument" error.

Not as far as I am aware of.  2.3.35 was a long time ago however.  Can you try
a later kernel?  2.3.99's shouldn't be a problem in this area.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |